

public class MyStackTest
{
	public static void main(String []arg)
	{
		MyStack s = new MyStack(Console.readInt("Dammi la dimensione della pila"));

		int choice = -1;
		while(choice!=0)
		{
			System.out.println("Batti i seguenti comandi:");
			System.out.println("0 - esci");
			System.out.println("1 - push");
			System.out.println("2 - pop");
			System.out.println("3 - getTop");
			System.out.println("4 - stampa pila");

			choice = Console.readInt("Scelta:");

			switch (choice)
			{
				case 0:
					break;
				case 1:
					String e = Console.readLine("Che elemento devo aggiungere?");
					try
					{
						s.push(e);
					}
					catch (MyStackFullException ex)
					{
						System.out.println("Lo Stack e' pieno! l'elemento non e' stato inserito");
					}
					break;
				case 2:
					try
					{
						System.out.println("Ho cancellato l'elemento: " + s.pop());
					}
					catch (MyStackEmptyException ex)
					{
						System.out.println("Lo Stack e' vuoto!");
					}
					break;
				case 3:
					try
					{
						System.out.println("L'elemento in cima e': " + s.getTop());
					}
					catch (MyStackEmptyException ex)
					{
						System.out.println("Lo Stack e' vuoto!");
					}
					break;
				case 4:
					try
					{
						s.print();
					}
					catch (MyStackEmptyException ex)
					{
						System.out.println("Lo Stack e' vuoto!");
					}
					break;
				default:
					System.out.println("Errore: scelta '" + choice + "' non prevista.");
					break;
			}
		}
	}
}